### Method

# Ide Pipeline invalidate_phase

#### Declaration

    void
    ide_pipeline_invalidate_phase (
      IdePipeline* self,
      IdePipelinePhase phases
    )

#### Description

Invalidates the phases matching `phases` flags.

If the requested phases include the phases invalidated here, the next execution of the pipeline will build thse phases.

This should be used by plugins to ensure a particular phase is re-buildd upon discovering its state is no longer valid. Such an example might be invalidating the `IDE_PIPELINE_PHASE_AUTOGEN` phase when the an autotools projects autogen.sh file has been changed.

Available since: | 3.32

#### Parameters

`phases` | `IdePipelinePhase`
| The phases to invalidate.